-- Highlight selection
function highlightSelRace(text)
	if selRace == 0 then return text end
	
	if AHRrace[selRace][2] == AHRrace[rowNumber][2] then
		tmpstr = "^G" .. text .. "^-"
	else
		tmpstr = "^R" .. text .. "^-"
	end
	return tmpstr
end
function highlightSelGender(text)
	if selGender == 0 then return text end
	
	if AHRgender[selGender] == AHRgender[rowNumber] then
		tmpstr = "^G" .. text .. "^-"
	else
		tmpstr = "^R" .. text .. "^-"
	end
	return tmpstr
end

-- Highlight gold
function getGoldHighlight(var)
	if var > 10 then
		return "^$" .. var .. "^-"
	else
		return var
	end
end


-- Highlight compass points
function getCompassPoints()
	for i=1,#AHRcompassPoints,1 do
		if AHRareaTravel[AHRarea][rowNumber] == AHRcompassPoints[i] then
			return "BWAHRC"
		end
	end
end


-- Highlight status updates
function getStatusUpdate(text)
	if statusHighlight == 0 then
		return text
	else
		timeroff = 0
		return "^6" .. text .. "^-"
	end
end

-- Highlight area updates
function getAreaUpdate(text)
	if areaHighlight == 0 then
		return text
	else
		timeroff = 0
		return "^6" .. text .. "^-"
	end
end

-- Highlight movement updates
function getMovementUpdate(text)
	if movementHighlight == 0 then
		return text
	else
		timeroff = 0
		return "^6" .. text .. "^-"
	end
end

-- Timer functions
function gametime()
	return math.floor(Infinity_GetClockTicks() / 1000)
end
function currenttime()
	if timeroff == 0 then
		areaHighlight = 0
		statusHighlight = 0
		movementHighlight = 0
		timeroff = 1
	end
	now = (gametime() - start)
	return now
end
function countdowntimer()
	countdown = endtime - currenttime()
	
	if countdown == 0 then
		YouHaveDied = 1
	end

	return countdown
end
function starttimer(length)
	starttime = currenttime()
	endtime = starttime + length	
	actionTimer = 1		
end
function hideCountdown()
	if countdowntimer() > 5 then
		tmpstr = "OUCH!"
	else
		tmpstr = countdowntimer()
	end
	return tmpstr
end


-- Health check
function getHealthCheck(currHP)
	if currHP < 1 then
		YouHaveDied = 1
		-- DeathReason = AHRstatusUpdates[92]
	elseif currHP < 3 then 
		currHP = "^R" .. currHP .. "^-"
	end
	
	return currHP
end

-- Chores completed check
function getChores()
	if choresCompleted == 3 then
		table.insert(AHRspells, {"Pick Pocket",1})
	end
end

-- Toggle Shop
function toggleShop()
	if AHRareaHasShop[AHRarea] == 1 then
		if Shop == 1 then
			Shop = 0
		else
			Shop = 1
		end
	else
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[84]
	end
end

-- Reset Reward Button
function ResetReward()
	if AHRReward == 'Claimed' then 
		AHRReward = 'Unclaimed'
		Infinity_SetINIValue('Game Options','AHeroRisesReward','Unclaimed')
	end
end

-- Sorting tables
function sortRace(a,b)
	return a[1] < b[1]
end
function sort(a,b)
	return a < b
end


-- Selecting an option
function AHRoptions()
	
	-- Area00001 		Tutor - Area00001	Updates each time you speak to the tutor (Max. 2)
	if AHRareaOptions[AHRarea][selectedAction] == 'Tutor' and AHRarea == "Area00001" then
		AHRtoggleTutorWin = AHRtoggleTutorWin + 1
		if AHRtoggleTutorWin == 1 then
			table.insert(AHRspells, {"Magic Missile",0})
			Infinity_PlaySound('TUTOR01')
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[13]
		end
		if AHRtoggleTutorWin > 1 then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[14]
		end
		if AHRtoggleTutorWin == 3 then
			AHRtoggleTutor = 1
			table.remove(AHRareaOptions[AHRarea], 1)
			table.remove(AHRareaPresent[AHRarea], 1)
			table.insert(AHRareaTravel["Area00006"], 3, ("Infirmary"))
			table.insert(AHRareaDestination["Area00006"], 3, ("Area00014"))
			areaHighlight = 1
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[99]
			if AHRarea00006doors == 0 then
				AHRarea00006doors = 2
			elseif AHRarea00006doors == 1 then
				AHRarea00006doors = 3
			end
			AHRareaPresent["Area00006"][1] = AHRareaUpdates[10 + AHRarea00006doors]
		end
		
	-- Area00002		Phlydia		Updates each time you speak to her (Cycles)
	elseif AHRareaOptions[AHRarea][selectedAction] == 'Phlydia' then
		AHRtogglePhlydia = AHRtogglePhlydia + 1
		if AHRtogglePhlydia == 1 then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[1]
		elseif AHRtogglePhlydia == 2 then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[2]
		elseif AHRtogglePhlydia == 3 then 
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[3] .. AHRrace[selRace][3] .. AHRstatusUpdates[4]
			AHRtogglePhlydia = 0
		end
		
	-- Area00004 		Dreppin			Updates on item use (ANTIDOTE)
	elseif AHRareaOptions[AHRarea][selectedAction] == 'Dreppin' then
		if AHRtoggleDreppin == 0 then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[5]
		elseif AHRtoggleDreppin == 1 then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[6]
		end
		
	-- Area00005 		Hull			Updates on item use (HULL'S SWORD)
	elseif AHRareaOptions[AHRarea][selectedAction] == 'Hull' then
		if AHRtoggleHull == 0 then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[7] .. selName .. AHRstatusUpdates[8]
		elseif AHRtoggleHull == 1 then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[7] .. selName .. AHRstatusUpdates[9]
		end
		
	-- Area00005 		Gorion			Updates when choresCompleted = 6 otherwise toggles between 4 answers
	elseif AHRareaOptions[AHRarea][selectedAction] == 'Gorion' then
		if choresCompleted == 6 then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[19]
			YouHaveWon = 1
		else
			AHRtoggleGorion = AHRtoggleGorion + 1
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[14 + AHRtoggleGorion]
			if AHRtoggleGorion == 4 then AHRtoggleGorion = 0 end
		end
			
	-- Area00006 		Reevor			Updates on first action, then when rats are killed, and after stays.
	elseif AHRareaOptions[AHRarea][selectedAction] == 'Reevor' then
			if AHRtoggleReevor == 0 then AHRtoggleReevor = 1 end
			if AHRtoggleReevor == 1 then
				table.insert(AHRareaTravel[AHRarea], 3, ("Storehouse"))
				table.insert(AHRareaDestination[AHRarea], 3, ("Area00013"))
				AHRtoggleReevor = 4 	-- set temporarily to avoid repeats
				statusHighlight = 1; StatusUpdate = AHRstatusUpdates[10]
				areaHighlight = 1
				if AHRarea00006doors == 0 then
					AHRarea00006doors = 1
				elseif AHRarea00006doors == 2 then
					AHRarea00006doors = 3
				end
				AHRareaPresent[AHRarea][1] = AHRareaUpdates[10 + AHRarea00006doors]
			elseif AHRtoggleReevor == 2 then
				choresCompleted = choresCompleted + 1; getChores()
				Infinity_PlaySound('REPUP')
				AHRgold = AHRgold + 7
				statusHighlight = 1; StatusUpdate = AHRstatusUpdates[11]
				AHRtoggleReevor = 3
			elseif AHRtoggleReevor == 3 then
				statusHighlight = 1; StatusUpdate = AHRstatusUpdates[12]
			end

			
	-- Area00008 		Imoen			Updates with each action
	elseif AHRareaOptions[AHRarea][selectedAction] == 'Imoen' then
			AHRtoggleImoen = AHRtoggleImoen + 1
			if AHRtoggleImoen == 1 then
				Infinity_PlaySound("IMOEN15")
				statusHighlight = 1; StatusUpdate = AHRstatusUpdates[20]
			end
			if AHRtoggleImoen == 2 then
				table.insert(AHRinventory, ("Wand"))
				statusHighlight = 1; StatusUpdate = AHRstatusUpdates[21]
			end
			if AHRtoggleImoen == 3 and AHRareaOptions[AHRarea][1] == 'Imoen' then
				table.insert(AHRcompanions, {"Imoen",1})
				table.remove(AHRareaOptions[AHRarea], selectedAction)
				areaHighlight = 1; AHRareaPresent[AHRarea][1] = AHRareaUpdates[1]
				statusHighlight = 1; StatusUpdate = AHRstatusUpdates[22]
			end
	
	-- Area00009 		Firebead		Updates with each interaction to a max. of 30
	elseif AHRareaOptions[AHRarea][selectedAction] == 'Firebead' then
			AHRtoggleFirebead = AHRtoggleFirebead + 1
			if AHRtoggleFirebead == 1 then
				statusHighlight = 1; StatusUpdate = AHRstatusUpdates[23]
			elseif AHRtoggleFirebead < 30 then
				statusHighlight = 1; StatusUpdate = AHRstatusUpdates[24] .. AHRtoggleFirebead .. AHRstatusUpdates[25]
			elseif AHRtoggleFirebead == 30 then
				AHRtoggleFirebead = 30
				AHRitems[AHRarea][1] = "Gold"
				statusHighlight = 1; StatusUpdate = AHRstatusUpdates[26]
				table.remove(AHRareaOptions[AHRarea], selectedAction)
				if AHRareaPresentInn == 0 then
					AHRareaPresentInn = 2			
					areaHighlight = 1; AHRareaPresent[AHRarea][1] = AHRareaUpdates[2]
				elseif AHRareaPresentInn == 1 then
					AHRareaPresentInn = 3
					areaHighlight = 1; AHRareaPresent[AHRarea][1] = AHRareaUpdates[3]	
				end
		end
	
	-- Area00009 		Nobles		Updates once then nobles leave
	elseif AHRareaOptions[AHRarea][selectedAction] == 'Nobles' then
			Infinity_PlaySound('NOBLE02')
			AHRtoggleNobles = AHRtoggleNobles + 1
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[27]
			table.remove(AHRareaOptions[AHRarea], selectedAction)
			if AHRareaPresentInn == 0 then
				AHRareaPresentInn = 1			
				areaHighlight = 1; AHRareaPresent[AHRarea][1] = AHRareaUpdates[4]
			elseif AHRareaPresentInn == 2 then
				AHRareaPresentInn = 3
				areaHighlight = 1; AHRareaPresent[AHRarea][1] = AHRareaUpdates[5]
			end
			-- Update locked chest message (if the chest is locked, then the chest is locked and now contains the Skeleton Key)
			if AHRtoggleChest == 0 or AHRtoggleChest == 1 then
				AHRtoggleChest = 2
			end
			
	-- Area00009 		Winthrop		Updates with each action then cycles amongst last 4 options
	elseif AHRareaOptions[AHRarea][selectedAction] == 'Winthrop' then
		AHRtoggleWinthrop = AHRtoggleWinthrop + 1
		if AHRtoggleWinthrop == 9 then AHRtoggleWinthrop = 5 end
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[58 + AHRtoggleWinthrop]
		if AHRtoggleWinthrop == 3 then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[61] .. selName .. AHRstatusUpdates[62]
			AHRtoggleWinthrop = 5
		end
		
	-- Area00010 		Chest			Updates contents based on action timing
	elseif AHRareaOptions[AHRarea][selectedAction] == 'Chest' then
		if AHRtoggleChest == 0 then AHRtoggleChest = 1 end
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[27 + AHRtoggleChest]
		if AHRtoggleChest == 4 then	
			table.insert(AHRinventory, ("Skeleton Key"))
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[31]
			AHRtoggleChest = AHRtoggleChest + 1
		end
		
	-- Area00012 		Strong Box		Updates when opened
	elseif AHRareaOptions[AHRarea][selectedAction] == "Strong Box" then
		AHRtoggleBox = AHRtoggleBox + 1
		if AHRtoggleBox > 2 then 
			AHRtoggleBox = 2
		elseif AHRtoggleBox == 1 then
			table.insert(AHRinventory, "Antidote")
			table.insert(AHRinventory, "Hull's Sword")
		end
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[32 + AHRtoggleBox]
		
	-- Area00014 		Tutor			Updates each time you speak to the tutor (Max. 2)
	elseif AHRareaOptions[AHRarea][selectedAction] == 'Tutor' and AHRarea == "Area00014" then
		if AHRtoggleTutor == 1 then		
			AHRtoggleTutorInf = AHRtoggleTutorInf + 1
			if AHRtoggleTutorInf == 1 then
				statusHighlight = 1; StatusUpdate = AHRstatusUpdates[100]
			end
			if AHRtoggleTutorInf > 1 then
				AHRtoggleTutorInf = 2
				statusHighlight = 1; StatusUpdate = AHRstatusUpdates[101]
			end
		elseif AHRtoggleTutor == 2 then
			AHRtoggleTutorInf = AHRtoggleTutorInf + 1
			if AHRtoggleTutorInf == 1 then
				statusHighlight = 1; StatusUpdate = AHRstatusUpdates[69]
			end
			if AHRtoggleTutorInf > 1 then
				AHRtoggleTutorInf = 2
				statusHighlight = 1; StatusUpdate = AHRstatusUpdates[70]
			end
		end

	-- Area00014 		Fuller			Updates with each action
	elseif AHRareaOptions[AHRarea][selectedAction] == 'Fuller' then
		AHRtoggleFuller = AHRtoggleFuller + 1
		if AHRtoggleFuller == 1 then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[67]
		elseif AHRtoggleFuller == 2 then
			table.insert(AHRinventory, ("Potion Of Healing"))
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[68]
		else
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[67]
		end

	-- Area00014		Fuller's Things			Updates contents based on action timing
	elseif AHRareaOptions[AHRarea][selectedAction] == "Fuller's Things" then
		if AHRtoggleFullerThing == 0 then 
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[71]
			AHRtoggleFullerThing = 1
			table.insert(AHRinventory, ("Bolts"))
			table.insert(AHRinventory, ("Guardhouse Key"))
		elseif AHRtoggleFullerThing == 1 then 
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[72]
		end
		
	-- Area00014		Storage Box			Updates contents based on action timing
	elseif AHRareaOptions[AHRarea][selectedAction] == "Storage Box" then
		if AHRtoggleStorageBox == 0 then 
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[73]
		elseif AHRtoggleStorageBox == 2 then 
			table.insert(AHRinventory, ("Diamond"))
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[75]
			AHRtoggleStorageBox = 3
		elseif AHRtoggleStorageBox == 3 then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[76]
		end
		
	-- Area00015 		Obe			Updates with each action
	elseif AHRareaOptions[AHRarea][selectedAction] == 'Obe' then
		AHRtoggleObe = AHRtoggleObe + 1
		if AHRtoggleObe == 1 then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[80]
		elseif AHRtoggleObe == 2 then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[81]
			AHRtoggleObe = 0
		end
		
	end

end


-- Movement
function AHRmovement()
	
	if AHRareaDestination[AHRarea][selectedArea] ~= '' and actionTimer == 0 then
		
		-- Mark current area as visited
		AHRareaVisited[AHRarea] = 1
		
		-- Update AreaPresent for last location, if necessary
		if AHRarea == "Area00012" and AHRareaDestination[AHRarea][selectedArea] == "Area00007" then
			areaHighlight = 1; AHRareaPresent["Area00012"][1] = AHRareaUpdates[6]
		end
		if AHRarea == "Area00011" and AHRareaDestination[AHRarea][selectedArea] == "Area00003" then
			areaHighlight = 1; AHRareaPresent["Area00011"][1] = AHRareaUpdates[7]
		end	
		if AHRarea == "Area00013" and AHRareaDestination[AHRarea][selectedArea] == "Area00006" then
			areaHighlight = 1; AHRareaPresent["Area00013"][1] = AHRareaUpdates[8]
		end
		
		-- Set the new area as the destination
		AHRarea = AHRareaDestination[AHRarea][selectedArea]
		statusHighlight = 1; StatusUpdate = ""
		timeroff = 1
		movementHighlight = 1
		
		-- Entering the Inn for the first time
		if AHRareaVisited[AHRarea] == 0 and AHRarea == "Area00009" then
			Infinity_PlaySound('INNKE03')
		end
		
		-- Check Imoen to see if she's arrived at Area00005
		for i=1,#AHRcompanions,1 do
			if AHRarea == "Area00005" and AHRcompanions[i][1] == "Imoen" then
				AHRcompanions[i][1] = nil
				AHRcompanions[i][2] = nil
				statusHighlight = 1; StatusUpdate = AHRstatusUpdates[35]
			end
		end
		
		-- Shank is here
		if AHRenemies[AHRarea][1] == "Shank" then
			AHRcurrentHP = AHRcurrentHP - 3
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[89]
			Infinity_PlaySound('genmg14')
			DeathReason = AHRdeathReasons[1]
			starttimer(8)
		end
		
		-- Carbos is here
		if AHRenemies[AHRarea][1] == "Carbos" then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[90]
			AHRcurrentHP = AHRcurrentHP - 3
			Infinity_PlaySound('genmt03')
			DeathReason = AHRdeathReasons[2]
			starttimer(8)
		end
		
		-- Rats is here
		if AHRenemies[AHRarea][1] == "Rats" then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[91]AHRcurrentHP = AHRcurrentHP - 2
			Infinity_PlaySound('AMB_E45C')
			DeathReason = AHRdeathReasons[3]
			starttimer(8)
		end
		
	elseif actionTimer == 1 then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[58]
	end
end

-- Picking Up Items
function AHRpickup()
	
	str = string.gsub(AHRitems[AHRarea][selectedItem], "%s", "")
	
	-- Check if item is gold, if it is add it to your gold count, else add the item to your inventory
	if AHRitems[AHRarea][selectedItem] == "Gold" and AHRarea == "Area00009" then
		AHRgold = AHRgold + 3
	else
		-- Add item to inventory
		table.insert(AHRinventory, (AHRitems[AHRarea][selectedItem]))
	end
	
	-- Update Status with item description
	statusHighlight = 1; StatusUpdate = AHRitemsDescription[str][1]
	
	-- Remove item from area's items
	table.remove(AHRitems[AHRarea], selectedItem)
	
end

-- Using Abilities
function useSpell()
		
	if AHRspells[selectedSpell][1] == "Pick Pocket" then
	
		-- Set random cannot be used here message
		NotNow = math.random(4)
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[92 + NotNow]
		
		-- Using PickPockt
		if AHRarea == "Area00002" and AHRareaOptions[AHRarea][1] == 'Phlydia' then
			StatusUpdate = AHRstatusUpdates[97]
			AHRgold = AHRgold + 6
			AHRspells[selectedSpell][2] = 0
		elseif AHRarea == "Area00006" then
			StatusUpdate = AHRstatusUpdates[98]
			table.insert(AHRinventory, "Dagger")
			AHRspells[selectedSpell][2] = 0
		end
	
	end
end

-- Using Companions
function useCompanion()

	-- Set random cannot be used here message
	NotMe = math.random(3)
	selCompanion = AHRcompanions[selectedCompanion][1]
	statusHighlight = 1; StatusUpdate = AHRcompanionNotHere[selCompanion][NotMe]
	
	-- Using Imoen upstairs at the Inn
	if selCompanion == "Imoen" and AHRarea == "Area00010" then

		-- Check the chest status (locked) and use Imoen
		if AHRtoggleChest == 0 or AHRtoggleChest == 1 then
			AHRtoggleChest = 3
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[36]
			AHRcompanions[selectedCompanion][2] = 0
		elseif AHRtoggleChest == 2 then
			AHRtoggleChest = 4
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[37]
			AHRcompanions[selectedCompanion][2] = 0
		end
	end
	
	-- Using Imoen against Shank
	if selCompanion == "Imoen" and AHRenemies[AHRarea][1] == "Shank" then
		starttime = nil
		endtime = nil	
		actionTimer = 0
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[39]
		table.remove(AHRenemies[AHRarea],1)
		AHRcompanions[selectedCompanion][2] = 0
	end
	
	-- Using Imoen against Carbos
	if selCompanion == "Imoen" and AHRenemies[AHRarea][1] == "Carbos" then
		starttime = nil
		endtime = nil	
		actionTimer = 0
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[40]
		table.remove(AHRenemies[AHRarea],1)
		AHRcompanions[selectedCompanion][2] = 0
	end
	
	-- Using Imoen against Rats
	if AHRcompanions[selectedCompanion][1] == "Imoen" and AHRarea == "Area00013" and AHRenemies[AHRarea] == "Rats" then
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[41]
	end
	
	-- Using Imoen to unlock storage box
	if AHRcompanions[selectedCompanion][1] == "Imoen" and AHRcompanions[selectedCompanion][2] == 1 and AHRarea == "Area00011" then
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[77]
	end
	
end

function useGold()
	-- Buying from Shop
	statusHighlight = 1
	
	if AHRgold - AHRshop[AHRarea][selectedPurchase][2] < 0 then
		StatusUpdate = AHRstatusUpdates[83]
	else
		statusHighlight = 1
		AHRgold = AHRgold - AHRshop[AHRarea][selectedPurchase][2]
		table.insert(AHRinventory, AHRshop[AHRarea][selectedPurchase][1])

		-- Specific purchase message
		if AHRshop[AHRarea][selectedPurchase][1] == "Axe" and AHRarea == "Area00009" then
			StatusUpdate = AHRstatusUpdates[56] .. AHRstatusUpdates[57]
		end
	end
end


-- Using Items
function useInventoryItem()
	
	-- Set random cannot be used here message
	NotHere = math.random(10)
	statusHighlight = 1; StatusUpdate = AHRitemNotHere[NotHere]
	
	-- Using a potion of healing
	if AHRinventory[selectedInventoryItem] == "Potion Of Healing" then
		table.remove(AHRinventory, selectedInventoryItem)
		Infinity_PlaySound('WAL_01')statusHighlight = 1;  StatusUpdate = AHRstatusUpdates[85]
		if AHRcurrentHP == AHRmaxHP then
			StatusUpdate = StatusUpdate .. AHRstatusUpdates[88]
		else
			AHRcurrentHP = AHRcurrentHP + 3
			if AHRcurrentHP > AHRmaxHP then
				AHRcurrentHP = AHRmaxHP
				StatusUpdate = StatusUpdate .. AHRstatusUpdates[87]
			else
				StatusUpdate = StatusUpdate .. AHRstatusUpdates[86]
			end
		end
		selectedInventoryItem = 0
	end
	
	-- Using a dagger or axe with the tutor
	if (AHRinventory[selectedInventoryItem] == "Dagger" or AHRinventory[selectedInventoryItem] == "Axe") and AHRareaOptions[AHRarea][1] == "Tutor" and AHRarea == "Area00001" then
		AHRtoggleTutor = 2
		table.remove(AHRareaOptions[AHRarea], 1)
		table.remove(AHRareaPresent[AHRarea], 1)
		table.insert(AHRareaTravel["Area00006"], 3, ("Infirmary"))
		table.insert(AHRareaDestination["Area00006"], 3, ("Area00014"))
		areaHighlight = 1
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[42]
		if AHRarea00006doors == 0 then
			AHRarea00006doors = 2
		elseif AHRarea00006doors == 1 then
			AHRarea00006doors = 3
		end
		AHRareaPresent["Area00006"][1] = AHRareaUpdates[10 + AHRarea00006doors]
		selectedInventoryItem = 0
	end
	if (AHRinventory[selectedInventoryItem] == "Dagger" or AHRinventory[selectedInventoryItem] == "Axe") and AHRareaOptions[AHRarea][1] == "Tutor" and AHRarea == "Area00014" then
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[70]
		selectedInventoryItem = 0
	end
	
	-- Using a dagger with Phlydia
	if AHRinventory[selectedInventoryItem] == "Dagger" and AHRareaOptions[AHRarea][1] == "Phlydia" then
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[43]
		selectedInventoryItem = 0
	end
	
	-- Using the book with Phlydia
	if AHRinventory[selectedInventoryItem] == "Book" and AHRareaOptions[AHRarea][1] == "Phlydia" then
		choresCompleted = choresCompleted + 1; getChores()
		Infinity_PlaySound('REPUP')
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[44]
		-- Removing Phlydia (Update present, Remove Phlydia from options and remove book from inventory)
		areaHighlight = 1; AHRareaPresent[AHRarea][1] = AHRareaUpdates[10]
		table.remove(AHRareaOptions[AHRarea], 1)
		table.remove(AHRinventory, selectedInventoryItem)
		selectedInventoryItem = 0
	end
	
	-- Using the bolts with Obe
	if AHRinventory[selectedInventoryItem] == "Bolts" and AHRareaOptions[AHRarea][1] == "Obe" then
		choresCompleted = choresCompleted + 1; getChores()
		Infinity_PlaySound('REPUP')
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[82]
		-- Removing Obe (Update present, Remove Obe from options and remove book from inventory)
		areaHighlight = 1; AHRareaPresent[AHRarea][1] = AHRareaUpdates[16]
		table.remove(AHRareaOptions[AHRarea], 1)
		table.remove(AHRinventory, selectedInventoryItem)
		selectedInventoryItem = 0
	end
	
	-- Using a Dagger or Axe in Winthrop's
	if AHRarea == "Area00009" and ((AHRinventory[selectedInventoryItem] == "Dagger") or (AHRinventory[selectedInventoryItem] == "Axe"))  then
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[45]
		selectedInventoryItem = 0
	end
	
	-- Using the wand in Winthrop's
	if AHRinventory[selectedInventoryItem] == "Wand" and AHRarea == "Area00009" then
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[46]
		selectedInventoryItem = 0
	end

	-- Using the diamond in Winthrop's
	if AHRinventory[selectedInventoryItem] == "Diamond" and AHRarea == "Area00009" then
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[78]
		choresCompleted = choresCompleted + 1; getChores()
		Infinity_PlaySound('REPUP')
		table.remove(AHRinventory, selectedInventoryItem)
		table.insert(AHRinventory, "Magic Cloak")
		selectedInventoryItem = 0
	end
	
	-- Using the wand or axe on Shank
	if (AHRinventory[selectedInventoryItem] == "Wand" or AHRinventory[selectedInventoryItem] == "Axe") and AHRarea == "Area00011" and AHRenemies[AHRarea][1] == "Shank" then
		starttime = nil
		endtime = nil	
		actionTimer = 0
		if AHRinventory[selectedInventoryItem] == "Wand" then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[47]
		elseif AHRinventory[selectedInventoryItem] == "Axe" then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[48]
		end
		table.remove(AHRenemies[AHRarea],1)
		table.remove(AHRinventory, selectedInventoryItem)
		selectedInventoryItem = 0
	end
	
	-- Using the wand or axe on Carbos
	if (AHRinventory[selectedInventoryItem] == "Wand" or AHRinventory[selectedInventoryItem] == "Axe") and AHRarea == "Area00012" and AHRenemies[AHRarea][1] == "Carbos" then
		starttime = nil
		endtime = nil	
		actionTimer = 0
		if AHRinventory[selectedInventoryItem] == "Wand" then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[49]
			Infinity_PlaySound('TRA_22')
		elseif AHRinventory[selectedInventoryItem] == "Axe" then
			statusHighlight = 1; StatusUpdate = AHRstatusUpdates[50]
		end
		table.remove(AHRenemies[AHRarea],1)
		table.remove(AHRinventory, selectedInventoryItem)
		selectedInventoryItem = 0
	end	
	
	-- Using the dagger in the storehouse when rats are there
	if AHRinventory[selectedInventoryItem] == "Dagger" and AHRarea == "Area00013" and AHRenemies[AHRarea][1] == "Rats" then
		starttime = nil
		endtime = nil	
		actionTimer = 0
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[51]
		AHRtoggleReevor = 2
		table.remove(AHRenemies[AHRarea],1)
		table.remove(AHRinventory, selectedInventoryItem)
		selectedInventoryItem = 0
	end
	
	-- Using Hull's Sword with Hull, and elsewhere
	if AHRinventory[selectedInventoryItem] == "Hull's Sword" and AHRarea == "Area00005" then
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[52]
		table.remove(AHRinventory, selectedInventoryItem)
		table.insert(AHRinventory, "Storage Box Key")
		AHRtoggleHull = 1
		choresCompleted = choresCompleted + 1; getChores()
		Infinity_PlaySound('REPUP')
		selectedInventoryItem = 0
	elseif AHRinventory[selectedInventoryItem] == "Hull's Sword" and AHRarea ~= "Area00005" then
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[53]
		selectedInventoryItem = 0
	end
	
	-- Using Antidote with Dreppin, and elsewhere
	if AHRinventory[selectedInventoryItem] == "Antidote" and AHRarea == "Area00004" then
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[54]
		table.remove(AHRinventory, selectedInventoryItem)
		AHRitems[AHRarea][1] = "Book"
		choresCompleted = choresCompleted + 1; getChores()
		Infinity_PlaySound('REPUP')
		AHRtoggleDreppin = 1
		selectedInventoryItem = 0
	elseif AHRinventory[selectedInventoryItem] == "Antidote" and AHRarea ~= "Area00004" then
		statusHighlight = 1; statusHighlight = 1; StatusUpdate = AHRstatusUpdates[55]
		selectedInventoryItem = 0
	end
	
	-- Using Storage Box key
	if AHRinventory[selectedInventoryItem] == "Storage Box Key" and AHRarea == "Area00011" then
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[74]
		table.remove(AHRinventory, selectedInventoryItem)
		AHRtoggleStorageBox = 2
		selectedInventoryItem = 0
	end
	
	-- Using Guardhouse key
	if AHRinventory[selectedInventoryItem] == "Guardhouse Key" and AHRarea == "Area00007" then
		statusHighlight = 1; StatusUpdate = AHRstatusUpdates[79]
		table.remove(AHRinventory, selectedInventoryItem)
		table.insert(AHRareaTravel[AHRarea], 3, ("Guardhouse"))
		table.insert(AHRareaDestination[AHRarea], 3, ("Area00015"))
		selectedInventoryItem = 0
	end
	
end