-- Setup the game for first use
function initialise()

	AHRgender = {
		"Male",
		"Female",
	}

	AHRrace = {
		{"1","Human","Humans"},
		{"2","Elf","Elves"},
		{"3","Half-Elf","Half-Elves"},
		{"4","Dwarf","Dwarves"},
		{"5","Halfling","Halflings"},
		{"6","Gnome","Gnomes"},
		{"7","Half-Orc","Half-Orcs"},
	}

	-- This is the area name
	AHRareas = {
		Area00001 = "West Of The Keep",
		Area00002 = "Reading Rooms",
		Area00003 = "Stablehouse",
		Area00004 = "The Barn",
		Area00005 = "The Main Gate",
		Area00006 = "Hospital and Storehouse",
		Area00007 = "Bunkhouse",
		Area00008 = "Reading Rooms",
		Area00009 = "Winthrop's Inn (Downstairs)",
		Area00010 = "Winthrop's Inn (Upstairs)",
		Area00011 = "Stable House",
		Area00012 = "Bunk House",
		Area00013 = "Storehouse",
		Area00014 = "Infirmary",
		Area00015 = "Guard House",
	}
	
	-- This is the area description, the first entry appears when you first reach the area, the second is for subsequent visits
	AHRareaDescription = {
		Area00001 = {"You are the ward of Gorion.  You've been instructed by your father to complete your chores, and then to come find him once they are all done.\n\nYou are currently outside Winthrop's Inn in Candlekeep.  To the north, are the reading rooms, and to the South you can see some buildings and some trees.","You find yourself outside Winthrop's Inn.  You can head inside the Inn, or travel around to the north of the central keep, or around to south where you can see a few buildings."},
		Area00002 = {"You head to the north-west of the keep.  There are a few private reading rooms that can be rented from the keep dotted amongst the trees.  You can now go to the east where you can see the stables, or to the South where Winthrop's Inn is.","You are in the north-west of the keep.  You can head to the south and Winthrop's Inn, or to the east towards the stable."},
		Area00003 = {"You walk to a house by the stable.  The door is slightly ajar and you can hear noises inside.  To the east you can see a man trying to coax a cow to move.  Over to the west are the reading rooms.","You are outside the stable house.  There is a man with a cow to the east, and the private reading rooms are to the west."},
		Area00004 = {"You are outside the stable.  The barn is full of hay and it causes you to sneeze.  To the west you see the stable house, and to the south you can see the main gate.","You are near the stable.  To the south are a small group of people beside the main gate, and over to the west is the stable house"},
		Area00005 = {"You are standing next to the keep entrance.  The giant portcullis is currently closed.  There are a couple of people milling around.","The giant portcullis is closed.  From here you can see Candlekeep in all it's glory.  To the north is the stable and to the south is the infirmary and storehouse."},
		Area00006 = {"You are in the south-east of the keep, from here you can access the storehouse and infirmary.  To the east is the bunk house where travellers often stay, and to the north is the main gate.","You are near the storehouse and infirmary.  To the north, you can see the main gate and a couple of people.  To the east is the bunkhouse."},
		Area00007 = {"You walk to the bunkhouse.  On arriving you notice the door is open but you cannot see inside.  To your east is the infirmary and Reevor's storehouse and to your west is a quiet area.","You are outside the bunkhouse.  The bunkhouse door is still open.  From here you can walk to the infirmary and storehouse, in the east, or to the west where the is a quiet area"},
		Area00008 = {"You make your way to the south-west of the keep.  There are a few locked buildings but otherwise everything is still.  In the north, you can hear the pleasant sounds of the Inn, and to the east is the Bunkhouse.","You are in the south-west of the keep.  Everything is quiet.  To the north you can see Winthrop's Inn and over to the east is the bunkhouse."},
		Area00009 = {"You enter the Inn and are greeted by the sounds of travellers enjoying themselves after their long journeys.  In the corner behind the counter stands Winthrop.  He is arguing with a noble couple.\n\n“I'll 'ave you know that my 'otel's as clean as an Elven arse!” he angrily shouts.  The nobles shake their heads and storm into another room.","You are in Winthrop's Inn.  The only place in Candlekeep where the fire and company are warm.  Why don't you speak to Winthrop?"},
		Area00010 = {"You are upstairs at Winthrop's.  Most of the rooms are occupied but you find one door that opens and enter the room.  You realise it belongs to the Nobles from downstairs.","You are upstairs at Winthrop's and there's no-one around.  Only one door is open and it leads to the room rented by the nobles."},
		Area00011 = {"You enter the house and realise it belongs to the stablehand Dreppin.  The table has been overturned and a shadowy figure appears.","You enter the house and realise it belongs to the stablehand Dreppin.  There is a chest in the corner."},
		Area00012 = {"You enter the bunkhouse and find a few beds dotted around a central table.  A man is hastily trying to hide from you.  You don't like the look of him.","The bunkhouse is empty save for a few beds and a table"},
		Area00013 = {"There are lots of boxes all around.  Curled up in the corner are two small cats.  They are sleeping. Awww!","There are lots of storage boxes all around however they don't contain anything useful.  One cat sleeps peacifully on a box near the door, whilst the other is currently pissing in the corner.  How marvellous!"},
		Area00014 = {"As you enter the Infirmary, you see the Tutor from earlier he seems to be trying to avoid you.  There are rows of beds but only one is occupied.","The infirmary smells of sickness, let's not stay here long, eh?"},
		Area00015 = {"You enter the guardhouse.  There are rows of beds and chests.  You shouldn't be in here.","You enter the guardhouse.  There are rows of beds and chests.  You shouldn't be in here."},
	}

	-- This is a description of the people/objects present (not items on the ground).  If people leave/status changes then it should be overriden.
	AHRareaPresent = {
		Area00001 = {"There is a tutor here."},
		Area00002 = {"There is a lady here.  She is looking through her bag and cursing.  You recognise her as Phlydia and she is known for being rude and not rewarding people when they do favours for her."},
		Area00003 = {"There isn't much here."},
		Area00004 = {"Dreppin is here with his favourite cow, however the cow is a funny shade of green.  Perhaps it is sick?"},
		Area00005 = {"Gorion is here.  He looks concerned.  Hull, the captain of the guard, is standing duty by the gate.  He is rubbing his eyes."},
		Area00006 = {"The doors to the storehouse and infirmary are locked.  Reevor is standing by the door to the storehouse and beckons you over."},
		Area00007 = {"The guardhouse is locked."},
		Area00008 = {"Your friend Imoen is here but she is hiding behind a tree."},
		Area00009 = {"The Inn is busy: Firebead is warming himself by the fire, Winthrop stands behind the counter, and there are some nobles in the adjacent room."},
		Area00010 = {"There is a chest here."},
		Area00011 = {"The man approaches you and from the smell of him he has been sleeping in the stables.  “Hullo, you're Gorion's brat, aren't you?”  He then draws a blade.  Prepare yourself!"},
		Area00012 = {"The man is ugly and you realise he is going to attack.  He approaches you menacingly...“I've a blade with your name on it!”"},
		Area00013 = {"There are about four of five rats running around."},
		Area00014 = {"Looking over, you see it's Fuller, your friend in the bed.  He must be injured.  The tutor isn't doing a good job of hiding from you."},
		Area00015 = {"Obe is here looking sad."},
	}

	AHRcompassPoints = {
		"North",
		"South",
		"East",
		"West",
		"North-East",
		"South-East",
		"South-West",
		"North-West",
	}

	-- These are the travel options in each area (Always have compass points in order N-NE-E-SE-S-SW-W-NW then other options)
	AHRareaTravel = {
		Area00001 = {"North","South","Inn"},
		Area00002 = {"East","South"},
		Area00003 = {"East","West","Stable House"},
		Area00004 = {"South","West"},
		Area00005 = {"North","South"},
		Area00006 = {"North","West"},
		Area00007 = {"East","West","Bunk House"},
		Area00008 = {"North","East"},
		Area00009 = {"Upstairs","Leave"},
		Area00010 = {"Downstairs"},
		Area00011 = {"Leave"},
		Area00012 = {"Leave"},
		Area00013 = {"Leave"},
		Area00014 = {"Leave"},
		Area00015 = {"Leave"},
	}
	
	-- These are the available transitions in eash area and the location the player moves to (matches AHRareaTravel) - can be added to or removed if exits open/close
	AHRareaDestination = {
		Area00001 = {"Area00002","Area00008","Area00009"},
		Area00002 = {"Area00003","Area00001"},
		Area00003 = {"Area00004","Area00002","Area00011"},
		Area00004 = {"Area00005","Area00003"},
		Area00005 = {"Area00004","Area00006"},
		Area00006 = {"Area00005","Area00007"},
		Area00007 = {"Area00006","Area00008","Area00012"},
		Area00008 = {"Area00001","Area00007"},
		Area00009 = {"Area00010","Area00001"},
		Area00010 = {"Area00009"},
		Area00011 = {"Area00003"},
		Area00012 = {"Area00007"},
		Area00013 = {"Area00006"},
		Area00014 = {"Area00006"},
		Area00015 = {"Area00007"},
	}
	
	-- These are the available options in each area
	AHRareaOptions = {
		Area00001 = {"Tutor"},
		Area00002 = {"Phlydia"},
		Area00003 = {},
		Area00004 = {"Dreppin"},
		Area00005 = {"Hull","Gorion"},
		Area00006 = {"Reevor"},
		Area00007 = {},
		Area00008 = {"Imoen"},
		Area00009 = {"Nobles","Firebead","Winthrop"},
		Area00010 = {"Chest"},
		Area00011 = {"Storage Box"},
		Area00012 = {"Strong Box"},
		Area00013 = {""},
		Area00014 = {"Tutor","Fuller","Fuller's Things"},
		Area00015 = {"Obe"},
	}

	-- These are items you can find on the ground and where they are.  Declare all areas even if currently empty.
	AHRitems = {
		Area00001 = {},
		Area00002 = {},
		Area00003 = {},
		Area00004 = {},
		Area00005 = {},
		Area00006 = {},
		Area00007 = {},
		Area00008 = {},
		Area00009 = {},
		Area00010 = {},
		Area00011 = {},
		Area00012 = {},
		Area00013 = {},
		Area00014 = {},
		Area00015 = {"Potion Of Healing"},
	}

	-- This is a description of items on the ground even if they aren't 'there' yet.  Items with spaces should have the spaces removed.
	AHRitemsDescription = {
		Book = {"This is Phlydia's book.  You know it's her book because it has 'If lost, please return to Phlydia' written on the inside."},
		Dagger = {"This is short knife.  Good for killing small things if you stab them with the pointy end."},
		Gold = {"A small amount of gold - good for buying equipment with."},
		PotionOfHealing = {"This is potion used to heal wounds."},
	}

	-- Random responses when you can't use an item
	AHRitemNotHere = {
		"That's not really helpful right now",
		"You really think that will work?",
		"You may not use that here.",
		"Why don't you try something else?",
		"No, you can't be bothered to do that.",
		"Not now, not never.",
		"Maybe later, yes?",
		"That's not going to work",
		"That's not a good idea",
		"Why does a chair have arms and legs like a man but cannot walk or hold things?",
	}

	AHRareaHasShop = {
		Area00009 = 1,
	}
	
	-- Shop
	AHRshop = {
		Area00009 = {
			{"Dagger",2},
			{"Axe",4},
			{"Potion Of Healing",5}
		}
	}
	-- Random responses when you can't use a companion
	AHRcompanionNotHere = {
		Imoen = {"“I don't think I can do that”, she says","“That's not going to work!”","Imoen says, “I want to get going now.”"},
	}

	AHRenemies = {
		Area00011 = {"Shank"},
		Area00012 = {"Carbos"},
		Area00013 = {"Rats"},
	}

	-- Responses when you use a person/item/spell/companion
	AHRstatusUpdates = {
-- 1 to 4		Phlydia	
		"“Hello there,” she says.\n“It seems I've lost my book - can you find it?  I'd give you some of my gold as a reward but I don't have any to spare.  Ha!”",
		"“I still can't find my book,” she cries.  “You must go look for it!”",
		"She tilts her head, looks at you and giggles.  “Don't ",
		" look funny!” she exclaims.",

-- 5 to 6		Dreppin
		"“Come on Nessa, what's wrong girl?”",
		"“She's quite happy now, thanks for your help.” he says. “Oh, I found a diamond on the floor t'other day.  I put it in my storage box for safe keepin'.  You can have it, if you can find the key.”",
		
-- 7 to 9		Hull
		"“Can't talk, ",
		", I'm on duty, but if you see my sword can you bring it to me?”",
		", I'm on duty.”",

-- 10 to 12		Reevor
		"“Me cats are bloomin' lazy” he says, “Rats.  Everywhere!”\n“Grab yourself a Dagger, and get in there and kill the bleeders!”\nHe opens the door to the storehouse.",
		"“Well bugger me, you did it!” he says handing you some gold.",
		"“Isn't Gorion looking for you?”",
		
-- 13 to 14		Tutor
		"The tutor casts a Protection from Magic spell on himself and explains, “Now only weapons could hurt me!”.  He tells you about spells and also teaches you Magic Missle.  You can't use it until you've rested.",
		"The tutor has nothing more to say to you.",
		
-- 15 to 19		Gorion
		"“You have not completed your chores,” Gorion says. “Now leave me.” ",
		"He ignores you because you've not completed your chores.",
		"“If you find a Diamond do return it to Winthrop for me!” Gorion says.",
		"“There is still more to do, child.”",
		"“You have completed your chores, excellent.” Gorion says.\n\n“We should leave quickly...”",

-- 20 to 22		Imoen
		"“Heya, it's me, Imoen!” she says, “I'm hiding from Gorion... shhh!”",
		"You explain that Gorion is waiting for you outside the main keep.  “Great!  I 'borrowed' this from him.” she says.  “That's why I'm hiding”",
		"“OK, if you insist, I'll come with you” she replies, “But if we see him, I'll have to scoot!”",

-- 23 to 26		Firebead
		"You greet Firebead and he replies, “You must find Gorion.”",
		"“Child, If I have told you once, I've told you ",
		" times...”\n\n“Go find Gorion!” he mutters.",
		"“You don't stop, do you?  I'm off,” he declares.  After he has left, you notice he has dropped some gold.",
		
-- 27			Nobles
		"You greet the nobles, but they don't like the look of you: “Come dear, let's put our valuables away and head to the library,” they whisper as they walk off.",

-- 28 to 32		Chest (Upstairs at Winthrop's Inn)
		"The chest is locked.",
		"The chest is locked and you can't open it.",
		"You open the chest but it's empty.",
		"You open the chest and inside you find a REWARD.  The Skeleton Key!",
		"The chest is now empty.",

-- 33 to 34		Strong Box
		"You open the box and find an Antidote and Hull's Sword.  You best find him as he will need it.",
		"The chest is now empty.",
		
-- 35			Imoen sees Gorion
		"Imoen shrieks, “Eeek!  It's Gorion, I gotta scoot.  I'll see you later!”",

-- 36 to 38		Imoen is lock-picking
		"Imoen unlocks the chest.",
		"Imoen picks the lock and opens the chest.",
		"“I can't unlock this,” she says.",
		
-- 39 to 41		Imoen fights for you
		"Imoen shoots your assailant with her bow.",
		"Imoen stabs the attacker in the back.",
		"“I can't.  I hate rats... eeek!  That one is looking at me funny,” she screams as she cowers behind you.",

-- 42			Using the dagger with the tutor
		"The tutor gets scared and runs away to the Infirmary!",

-- 43			Using the dagger with Phlydia
		"She may be ungrateful, but stabbing her won't help her find her book!",
		
-- 44			Using the book with Phlydia
		"“You found my book!” Phlydia screams.  She snatches it from you and walks away.  What a rude person!",

-- 45			Using a dagger or axe in Winthrop's
		"Winthrop shouts across the room at you, “Put that blade away!”",

-- 46			Using the wand in Winthrop's
		"Winthrop shouts across the room at you, “Only Firebead is permitted to use magical items in here!”",

-- 47 to 48		Killing Shank
		"He lunges at you but you duck quickly, waving your wand.  The magic missles strike him in the chest.",
		"You take a step back, lifting the axe high in the air.  He steps forward and you bring down onto his skull.  CRAACK!",
		
-- 49 to 50		Killing Carbos
		"You feint left, and he follows your misidirection.  You step right, and wave your wand.  That didn't last long.",
		"You swing the axe with all your might and he can't block it in time.",
		
-- 51			Killing the rats
		"STAB! STAB! STAB!  You got the buggers!",
		
-- 52 to 53		Using Hull's sword
		"“Yawwwwwwn!  Thanks pal!” Hull stretches, “Can't do me job without this.  Here, take this key I found.”",
		"You can't use this sword.  It belongs to Hull, silly.",
		
-- 54 to 55		Using the Antidote
		"“This'll fix up Nessa, right quick!” Dreppin says.\n\n“What's that she's bin sitting on?”",
		"This is for animals, not for humans.",
		
-- 56 to 57		Buying an Axe from Winthrop
		"Winthrop sells you a strong axe.  It's ideal for chopping wood, and if you ain't careful... people.  “Use it safe, like, the blade is sharp, ",
		".” he warns.",
-- 58			In battle
		"You may not leave during battle.",

-- 59 to 66			Talking to Winthrop
		"“Well hello there, young one.  Have you paid your Candlekeep book entrance fee yet?” he says.",
		"“It's 10,000 gold, dontcha know?” demands Winthrop.",
		"He slaps you on the back, “Ha, I'm just kidding.  How are you, ",
		" ?”",
		"“Oh, If you see Gorion, tell him he owes me a diamond.” he asks.",
		"You ask about supplies but Winthrop looks down, “Err... supplies are short right now, with the crisis and all, show me your gold and I'll show you my shop.”",
		"“We are full-up right now, busy, busy.  No room at the Inn!  Ha!” he bellows.",
		"He pours you a drink.  Refreshing!",

-- 67 to 68		Talking to Fuller
		"“I used to be a guard, then I took a bolt in the knee.” he says.  “Obe did it me, during training, the clumsy arse!”",
		"Fuller gives you a healing potion.  “Priest says I'm on the mend, so I don't need this.”",
		
-- 69 to 70			Talking to Tutor in the Infirmary
		"The tutor screams, “Noooo, please don't hurt me!”",
		"“I'm going to tell Gorion.” he squeals.",
		
-- 71 to 72			Search Fuller's Things
		"You search through his things and find some bolts, and the Guardhouse Key.",
		"There is nothing useful here.",
		
-- 73 to 76			Storage Box
		"The storage box is locked.",
		"You unlock the storage box.",
		"Inside you find a diamond!",
		"The storage box is now empty.",

-- 77				Imoen can't open
		"That lock is too complicated",
		
-- 78				Winthrop and the Diamond
		"He grabs the diamond.  “Take this REWARD, and tell Gorion, thanks!”",
		
-- 79				Unlock guardhouse
		"You've opened the door.",

-- 80 to 82			Talking to Obe
		"“I feel so bad,” he sobs.  “I shot Fuller during crossbow training!”",
		"“I can't train anymore, I don't have any bolts,” he sobs.",
		"“Thanks,” he says as he leaves, “I will keep training so I don't shoot anyone, anymore.”",

-- 83				Can't Afford That
		"You can't afford that.",

-- 84				No Shop
		"There is no shop here, now put your money away!",
		
-- 85				Use Potion Of Healing
		"Gulp...",
		" That's better!  You feel revitalised.",
		" You don't feel much better.",
		" That was wasted.",
		
-- 89 to 91			Attacked
		"\nShank stabs at you...",
		"\nCarbos thrusts his knife at you.",
		"\nThe rats pounce and bite.",
		
-- 92				Death Message
		"You slowly start to bleed out...  You didn't heal in time.",
		
-- 93 to 98				Using Pick Pocket
		"The target would notice.",
		"They have nothing useful to steal.",
		"That would be fruitless.",
		"You can't steal from them.",
		"You steal some gold.",
		"You steal a Dagger.",

-- 99				Talking to the tutor more than 2 times
		"“I can't stay here, Fuller is sick in the hospital,” he says.",
		
-- 100 to 101		Talking to the tutor (not-threatened)
		"“If you are here to visit Fuller, please be quick.” he says.",
		"“Please do keep your voice down,” he says.",
	}
	
	
	AHRareaUpdates = {
-- 1			Imoen joins you
		"It's quiet here now...",

-- 2 to 3		Firebead leaves (Nobles have not left, Nobles have left)
		"The Inn is quiet: There are some nobles in the adjacent room and Winthrop is by the counter.",
		"The Inn is empty aside from Winthrop, at his usual place, behind the counter.",

-- 4 to 5		Nobles leave (Firebead has not left, Firebead has left)
		"The Inn is quiet: Firebead warms himself by the fire, and Winthrop is by the counter.",
		"The Inn is empty aside from Winthrop, at his usual place, behind the counter.",

-- 6 to 8		After killing something
		"Carbos lies dead on the ground.",
		"Shank's crumpled form is beside the bed.",
		"There is fur and blood scattered all over the floor.",

-- 9			If the tutor leaves Area00001
		"What to do next?",

-- 10			Phlydia leaves
		"There is nothing of note here.",
		
-- 11 to 13		Area00006 options
		"The door to storehouse is now unlocked but you can't get to the infirmary yet.",
		"The door to infirmary is open, but the storehouse is locked.",
		"The doors to both the infirmary and storehouse are open.",
		
-- 14 to 15		Area00007 options
		"The guardhouse is locked.",
		"The guardhouse is unlocked.",
		
-- 16			Obe leaves
		"The guardhouse is now empty.",
}


	AHRdeathReasons = {
-- 1			Shank
		"Shank stabs you with his knife... what a bloody mess!",
-- 2			Carbos
		"Carbos drives his blade into your left eye... that's going to sting!",
-- 3			Rats
		"The rats bite and scratch... there are too many, gaaaaaaaaaaaaggghhhh!\n\nThey are going for your eyes...!",
}



	AHRTitle = {
		"Prologue - Leaving Candlekeep",
	}

	AHRareaVisited = {}
	AHRinventory = {}
	AHRcompanions = {}
	AHRspells = {}


	-- This sets all locations to not visited.
	for k, v in pairs(AHRareas) do  
		AHRareaVisited[k] = 0
	end
	
	-- Set start location
	AHRarea = 'Area00001'
	
	AHRReward = Infinity_GetINIString('Game Options','AHeroRisesReward',1)
	if AHRReward ~= "Claimed" then
		AHRReward = "Unclaimed"
		Infinity_SetINIValue('Game Options','AHeroRisesReward','Unclaimed')
	end
	
	-- Your character
	selName = "Charname"
	selRace = 0
	selGender = 0
	table.sort(AHRrace, sortRace)
	
	MenuToggle = 0
	Splash = 0
	
	AHRgold = 5
	AHRmaxHP = 5
	AHRcurrentHP = 5
	
	clicksMade = 0
	
	-- Set all toggles to 0
	AHRtoggleTutorWin = 0
	AHRtoggleTutorInf = 0
	AHRtogglePhlydia = 0
	AHRtoggleFirebead = 0
	AHRtoggleImoen = 0
	AHRtoggleChest = 0
	AHRtoggleBox = 0
	AHRtoggleNobles = 0
	AHRtoggleReevor = 0
	AHRtoggleHull = 0
	AHRtoggleDreppin = 0
	AHRtoggleGorion = 0
	AHRtoggleWinthrop = 0
	AHRtoggleFuller = 0
	AHRtoggleFullerThing = 0
	AHRtoggleStorageBox = 0
	AHRtoggleGuardhouse = 0
	AHRtoggleObe = 0
	AHRtoggleTutor = 0
	
	AHRareaPresentInn = 0
	AHRarea00006doors = 0
	
	selectedAction = 0
	selectedItem = 0
	selectedCompanion = 0
	
	StatusUpdate = ""
	statusHighlight = 0
	areaHighlight = 0
	movementHighlight = 0
	timeroff = 1
	AHRChapter = 1
	
	Shop = 0
	
	AHeroRises = 0
	YouHaveDied = 0
	YouHaveWon = 0
	
	starttime = nil
	endtime = nil
	actionTimer = 0
	
	
	
	-- The target for the prologue (Gorion will ignore you if this is less than 4)
	choresCompleted = 0

end